APIReferenceForms
Update a form's title/description
Authorization
ApiKey AuthorizationBearer <token>
In: header
Path Parameters
id*string
Form id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/forms/string" \ -H "Content-Type: application/json" \ -d '{}'{ "form": { "id": "string", "title": "string", "description": "string", "status": "draft", "joinCode": "string", "slug": "string", "shareUrl": "http://example.com", "settings": { "collectEmail": false, "emailRequired": false, "thankYouMessage": "string", "redirectUrl": "http://example.com", "showProgress": true, "useCase": "forms", "layout": "single_page" }, "publishedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "fields": [ { "id": "string", "kind": "string", "config": {}, "order": 0 } ] }}{ "error": "string", "issues": [ { "path": [ null ], "message": "string" } ]}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}